/* Feedback plugin for HOTD4, v0.1.2.
 Created by nugarp/spazzy. Last Updated 10/03/22.
 Big thanks to argonlefou for help with the
 memory addresses. No requirement on loader but
 only tested with TP.

 v0.1.2 - Force set autofire timings in hook,
  and made the grenade affect both players when
  it explodes. Also fixed typo for p2 grenade.
 v0.1.1 - Fixed typo with "died" condition.
 */

const { Plugin } = require('./plugin');
const { TYPE } = require('../core/memoryHelpers');

class NotepadPlugin extends Plugin {

    constructor(proc, players, mem, cfg) {
        console.log('Notepad: loaded');
        super(proc, players, mem, cfg);
    }

    connected (player, data) {
        console.log("player " + player.getInfo().player + " connected in notepad.js");
    }

    hook () {
        console.log('Notepad: hooked');
    }

    unhook () {
        console.log("Notepad: unhooked");
    }

    tick () {
    }
}

// todo -- pass in config & md5 info.
exports.generate = (process, players, mem) => { return new NotepadPlugin(process, players, mem); };