const { SerialPort } = require('serialport');
const NanoTimer = require('nanotimer');
let args = process.argv.slice(2);
let coms = ["COM1","COM2"];
coms.forEach(com => {
    console.log("config port " + com);
    let timer = new NanoTimer();
    let port = new SerialPort({ path: com, baudRate: 9600, autoOpen: false });
    port.open();
    console.log("port opened");
    port.write('S6');
    port.write("R0.0.40");
    port.write("R0.1.74");
    let id = 0;
    console.log("setting interval");
    timer.setInterval(() => { port.write("F0.1.1"); console.log(id++); }, '', '120m');
    setTimeout(() => {
        timer.clearInterval();
        port.write('E');
    }, 60000);
})